Какие версии WOW поддерживает BlackDps ?

Открытый раздел для обсуждений
Аватара пользователя
BlackDPS
Администратор
Сообщения: 240
Зарегистрирован: 17 фев 2016, 11:26

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение BlackDPS » 02 апр 2016, 09:31

Концепция заложенна в боте должна работать в любой версии вов, я им пользовался с конца лича-начала катаклизма (еще без программы конфигуратора). Конечно от версии к версии менялись сигнатуры вызова функций, почему и могут возникнуть ошибки. Как зайти сервер на котором играете? Гляну. может без кардинальных изменения можно испраивть

eminsk
Сообщения: 60
Зарегистрирован: 19 фев 2016, 17:15

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение eminsk » 02 апр 2016, 13:10

http://wowcircle.com/start.html


Как начать играть

Чтобы начать играть на наших серверах вам нужно
выполнить несколько простых шагов.

1) Установить клиент версии 3.3.5a, 4.3.4, 5.4.8 или 6.2.3
2) Зарегистрировать себе игровой аккаунт
2.1) Если вы хотите играть на версии клиента 4.3.4, прочитайте специальную тему на форуме
2.2) Если вы хотите играть на версии клиента 5.4.8, прочитайте специальную тему на форуме
2.3) Если вы хотите играть на версии клиента 6.2.3, прочитайте специальную тему на форуме
3) Поменять содержимое файла realmlist.wtf на
предложенное вашим сервером, например:
- для серверов 3.3.5a x5, x10, x15-x20, x25, x100, Fun, 4.3.4 x100, Fun:
set realmlist logon.wowcircle.com
- для серверов 3.3.5a x1 PvE, x3, 4.3.4 x1 PvE:
set realmlist logon3.wowcircle.com

- для 5.4.8 x1 PvE, следуйте инструкциям в теме из пункта 2.2.

- для 6.2.3, следуйте инструкциям в теме из пункта 2.3

Скачать клиенты WoW
http://forum.wowcircle.com/showthread.php?t=42394


Лично я играю на
- для серверов 3.3.5a x100
играю дц и танк дк
для дц автоматизации не нужно так 3 кнопки и все
исповедь флешка щит
а вот у дк там ротация сложнее

svojaks
Сообщения: 11
Зарегистрирован: 31 мар 2016, 05:48

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение svojaks » 03 апр 2016, 15:50

Я тоже играю на 3.3.5a x100 x5.
и тоже интересует этот вопрос

svojaks
Сообщения: 11
Зарегистрирован: 31 мар 2016, 05:48

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение svojaks » 14 апр 2016, 12:58

что то вопрос не решается (

eminsk
Сообщения: 60
Зарегистрирован: 19 фев 2016, 17:15

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение eminsk » 10 май 2016, 00:55

Вашему вниманию представляю ВАМ первый пиратский сервер WoW Legion версией игры 7.0.3 где вы увидите многое интересное .
Ссылка на сайт https://epicwow.com/
Ссылка на бету https://epicwow.com/24-world-of-warcraf ... testa.html

Можно ли начать тестировать на новом сервере.
Чтобы протестировать BlackDPS.
Или еще рано?

Аватара пользователя
BlackDPS
Администратор
Сообщения: 240
Зарегистрирован: 17 фев 2016, 11:26

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение BlackDPS » 10 май 2016, 22:50

в целом у меня есть доступ на офф бету легиона, но я не думаю что там чтото кардинально изменится. За пару дней до выхода лишь перевыкачать все новые способности с wowhead и все.

Насчет не офф версий - попробовал я покавырять на личе, 3,3,5 и все же решил что заниматься не текущими офф версиями я не буду. Самое плохое - в интернете сложно найти документацию по LUA тех версий. Все нормальные сайты обновляют информацию и имеют только о текущем LUA интерфейсе. А в старой версии там еще заклинания с рангами были.

svojaks
Сообщения: 11
Зарегистрирован: 31 мар 2016, 05:48

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение svojaks » 11 май 2016, 05:25

Но у вас же была версия под 3,3,5а, Не держите бекапов ?
Под старые версии не надо же не чего придумывать в луа не чего туда нового не вносят.

Аватара пользователя
BlackDPS
Администратор
Сообщения: 240
Зарегистрирован: 17 фев 2016, 11:26

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение BlackDPS » 11 май 2016, 08:32

во времена лича и катаклизма не было программы конфигуратора. Пользователи сами писали в LUA и была внешняя программа "нажиматель". С панадрии появилась программа конфигуратор что позволяет не писать LUA код.

Потому я могу говорить что подход использованный в поте использовался с лича. Но тогда еще не было программы конфигуратора.

uaz266
Сообщения: 15
Зарегистрирован: 12 ноя 2016, 03:30

Re: Какие версии WOW поддерживает BlackDps ?

Сообщение uaz266 » 23 май 2017, 05:51

Если бы уважаемый BlackDPS сделал программу рабочую на WOW Circle,я бы был ему очень благодарен. Мне так понравилось конфигурировать самому его бота,очень интересное занятие,но не нравится wow 6.2.3 и Легион,поэтому пришлось откатиться на 3.3.5а,но там он не работает.
Там есть PQR от немецких разработчиков,но там ничего не понятно,нужно обладать познаниями в написании скриптов,что бы заставить работать PQR,а в вашем БОТе все понятно,доступно и главное все на русском языке. Если можно сделайте пожалуйста поддержку на WOW Circle.
С уважением!!!

Ответить

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость